<span>
  <pre><code class="failure-detail-content"
             [attr.data-test-element-id]="'failure-detail-content-' + (failureDetailIndex + 1)"
  >{{ failureDetail.message }}</code></pre>
</span>

@if ($projectState().bugtrackerId) {
  @if ($isAuthenticatedToBugtracker() === false) {
    <div class="m-t-15 m-b-15 flex full-width section-title">
      {{ 'sqtm-core.entity.issue.label.plural' | translate }}
    </div>
    <div class="m-b-10">
      {{ 'sqtm-core.issue-panel.need-credentials' | translate }}
    </div>
  } @else if ($isAuthenticatedToBugtracker()) {
    @if (!$issuesLoaded()) {
      <div
        class="full-width p-10 spinner neutral-background-color current-workspace-main-color"
      >
        <i nz-icon nzType="loading" nzTheme="outline"></i>
      </div>
    } @else {
      @if ($issueComponentData(); as componentData) {
        <div class="m-t-15 m-b-15 flex full-width section-title">
          {{ 'sqtm-core.entity.issue.label.plural' | translate }}

          @if (canAddIssue()) {
            <div class="action-buttons m-l-5">
              <i
                nz-icon
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                class="current-workspace-button tree-icon-size m-l-10 m-r-10"
                nz-dropdown
                [nzDropdownMenu]="menu"
              >
              </i>
            </div>
          }
        </div>
        @if (componentData.length > 0) {
          <div class="block-border p-l-10 m-l-15 m-t-10 m-b-10">
            <sqtm-core-issue-list-compact
              [issues]="componentData"
              [canDelete]="$projectState().canExecute"
              (issuesDeleted)="deleteIssue($event)"
            ></sqtm-core-issue-list-compact>
          </div>
        } @else {
          <div class="m-b-10">
            {{ 'sqtm-core.entity.failure-detail.no-issues-label' | translate }}
          </div>
        }
      }
    }
  }
}

<nz-dropdown-menu #menu="nzDropdownMenu">
  <ul nz-menu>
    <li (click)="createIssue()" nz-menu-item>
      {{
        'sqtm-core.campaign-workspace.execution-page.issue.add-issue'
          | translate
      }}
    </li>
    <li (click)="attachIssue()" nz-menu-item>
      {{ 'sqtm-core.campaign-workspace.dialog.title.attach-issue' | translate }}
    </li>
  </ul>
</nz-dropdown-menu>
